Get User Variable Values Defined in the Application by the User Variable Name
Administrators can use this REST API to retrieve user variable values set for all users for a user variable with a specific name. Other users can use this REST API to retrieve the user variable value set for themselves for a user variable with a specific name.
Required Roles
Service Administrator, Power User, User, Viewer
REST Resource
GET /HyperionPlanning/rest/{api_version}/applications/{application}/uservariablevalues/{variableName}Request
Supported Media Types: application/json
Parameters
Table 3-96 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
The name of the application | Path | Yes | None |
variableName |
The name of the user variable for which the result set will be returned | Path | Yes | None |
offset |
Indicates the actual index from which the records are returned. It is a 0 based non-negative integer. | Query | No | 0 |
limit |
Controls how many items to return. A limit of 0 or -1 will return all records starting from the index defined by the offset. | Query | No | 25 |
Example URL
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/uservariablevalues/uservar2
Optionally specifying paging with an offset and limit:
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/uservariablevalues/uservar2?offset=0&limit=5
Response
Supported Media Types: application/json
Parameters
Table 3-97 Parameters
| Name | Description |
|---|---|
items |
Collection of information about the resource |
userName |
Name of the user |
name |
Name of the user variable, such as Account View |
dimension |
Name of the dimension to which the member belongs, such as Account |
member |
The value set for the user variable |
Example of Response Body
The following shows an example of the response body.
{
"items": [
{
"userName": "testuser1",
"name": "uservar2",
"dimension": "Period",
"member": "May"
},
{
"userName": "viewuser",
"name": "uservar2",
"dimension": "Period",
"member": "May"
}
],
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/uservariablevalues/uservar2",
"action": "GET",
"data": null
}
]
}